#ifndef NULLMAILER__ERRCODES__H__
#define NULLMAILER__ERRCODES__H__

enum errorcode {
  ERR_UNKNOWN = 1,		// Arbitrary error code
  ERR_HOST_NOT_FOUND,		// gethostbyname failed with HOST_NOT_FOUND
  ERR_NO_ADDRESS,		// gethostbyname failed with NO_ADDRESS
  ERR_GHBN_FATAL,		// gethostbyname failed with NO_RECOVERY
  ERR_GHBN_TEMP,		// gethostbyname failed with TRY_AGAIN
  ERR_SOCKET,			// socket failed
  ERR_CONN_REFUSED,		// connect failed with ECONNREFUSED
  ERR_CONN_TIMEDOUT,		// connect failed with ETIMEDOUT
  ERR_CONN_UNREACHABLE,		// connect failed with ENETUNREACH
  ERR_CONN_FAILED,		// connect failed
  ERR_PROTO,			// unexpected result from server
  ERR_MSG_OPEN,			// could not open the message
  ERR_MSG_READ,			// reading the message failed
  ERR_MSG_WRITE,		// writing the message failed
  ERR_EXEC_FAILED,		// executing a program failed
  ERR_MSG_REFUSED,		// server refused the message
  ERR_MSG_TEMPFAIL,		// server temporarily failed to receive
  ERR_MSG_PERMFAIL,		// server permanently failed to receive
};

extern const char* const errorstr[];

#endif // NULLMAILER__ERRCODES__H__
